# Demonstrations of list comprehensions

# Capitalise our band names
raw_names = ["niRVana", "MUDHoney", "ScReAmInG tReEs", "sonic YOUTH"]
tidy_names = [name.title() for name in raw_names]

print "Create a new list of titled band names:"
print raw_names
print tidy_names


# Collect data that is between -2 and 20
temperatures = [21, 18, 13, 15, 9, 2, -6, -3, 0, 5, 7, 14, 18, 22, 25, 23, 21, 19, 17, 14]
data = [temp for temp in temperatures if (temp >= -2 and temp <= 20)]

print "\nCreate a list of filtered temperatures:"
print temperatures
print data


# Remove the first two elements in every row of our matrix
neo = [[7.1, 8.2, 9.3, 10.4], 
       [2.2, 3.5, 5.7, 7.8], 
       [12.1, 22.3, 32.5, 42.7],
       [54.3, 32.1, 29.2, 18.6]]

trinity = [x[2:] for x in neo]

print "\nCreate a reduced matrix (a list of lists) from another matrix:"
print "Matrix:", neo
print "Edited:", trinity



