# A more thorough dictionary demo
#
# Reads data in from CSV, creates dictionaries of postcode -> suburb name and
# postcode -> water usage in 2009

import csv

INPUT_FILE = "water_use.csv"

suburb = {}
usage  = {}

with open(INPUT_FILE, 'r') as f:
    reader = csv.reader(f)
    for row in reader:
        # Format is postcode, suburb, 2008 usage, 2009 usage, %difference
        postcode = int(row[0])
        suburb[postcode] = row[1]
        usage[postcode] = row[3]

highest = max(usage, key=usage.get)
lowest = min(usage, key=usage.get)

print "Melbourne water consumption in 2009"
print "Number of suburbs:", len(suburb)

print "Highest consumer = %s (%s L/household/day)" % (suburb[highest], usage[highest])
print "Lowest consumer = %s (%s L/household/day)" % (suburb[lowest], usage[lowest])

