# A simple example of tuples versus named tuples -- tracking federal politicians

# We have decided we don't want to set up a class just to hold politician's info
# Fields are: name, date of birth, seat, position, federal and electoral phone numbers

# ------------------------------------------------------------------------------
# Here is the tuple version

kevin = ("Kevin Rudd", "21 Sep 1957", 
         "Griffith", "Backbencher at the moment", 
         "02 6277 7500", "07 3899 4031")

print kevin[0], kevin[4]

# ------------------------------------------------------------------------------
# Here is the named tuple version

from collections import namedtuple

# Note you can define the names as a list of strings or a single string that is 
# comma or whitespace separated
Politician = namedtuple("Politician", "name, dob, position, seat, federal_phone, office_phone")

julia = Politician(name = "Julia Gillard", dob = "29 Sep 1961", 
                   seat = "Lalor", position = "Prime Minister",
                   federal_phone = "02 6277 7700", office_phone = "03 9742 5800")

# Note that I can print the namedtuple objects by name or by position
print julia.name, julia.office_phone 
print julia[0], julia[4]

